> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read contract

> Get a contract's details, text, status and template key by contract key with the Sendforsign API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contract** `object` *required*

Structure, at least one of the fields must be filled.

**child attribute**

**contractKey** `string` *required*

Key of the contract.

**name** `string`

Name of the contract.

### Response

**contract** `string`

Contract structure.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**contractKey** `string`

ID of the contract.

**name** `string`

Name of the contract.

**value** `string`

Content of the contract, HTML.

**status** `string`

Status of the contract.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/contract' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "read",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "contract": {
							  "contractKey": "CONTRACT_KEY", 
							  "name": "New contract"
						     }
				  }
       }'

```

```json Response theme={null}
	{
       "contract": {
                "createTime": "2023-12-01 12:18:55",
				"changeTime": "2023-12-01 12:18:55",
                "contractKey": "CONTRACT_KEY", 
				"name": "New contract",
                "status": "Created",
				"value": "<p>Contract text</p>"
		},
       "code": "200",
       "message": "Contract found"
    } 
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.